Subject: [quicwg/base-drafts] ACK-only packets are not congestion controlled (#3453)

From: ianswett <[email-masked]>
Date: Wed, 12 Feb 2020 16:16:24 -0800

Clarifies that losing ACK-only packets is detectable in QUIC, but this draft specifies no response to their loss.

Fixes #3451
You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/3453

-- Commit Summary --

  * ACK-only packets are not congestion controlled

-- File Changes --

    M draft-ietf-quic-recovery.md (6)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/3453.patch
https://github.com/quicwg/base-drafts/pull/3453.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3453

---

From: Kazuho Oku <[email-masked]>
Date: Wed, 12 Feb 2020 16:24:13 -0800

kazuho approved this pull request.

:+1: Thank you for the PR. LGTM, and to me it seems that the add text is at the right location.

Using the loss of ACK-only packets is one way of deviating from CC that is described in this document, and therefore it seems correct to me to have that stated right after the general requirements regarding CC when one chooses a design that is different from what is being specified in quic-recovery.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3453#pullrequestreview-357882130

---

From: Martin Thomson <[email-masked]>
Date: Wed, 12 Feb 2020 18:18:22 -0800

martinthomson approved this pull request.

ICLWT.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3453#pullrequestreview-357916319

---

From: Christian Huitema <[email-masked]>
Date: Wed, 12 Feb 2020 20:48:27 -0800

huitema approved this pull request.

That's fine. I don't know whether we want to mention ack-of-ack and ack-range pruning here. Probably not. But it should be very clear that while ACK only packets do not trigger acks, the packet numbers should be included in the ack ranges.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3453#pullrequestreview-357952306

---

From: martinduke <[email-masked]>
Date: Wed, 12 Feb 2020 21:18:13 -0800

martinduke approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3453#pullrequestreview-357959322

---

From: ianswett <[email-masked]>
Date: Thu, 13 Feb 2020 06:03:17 -0800

@huitema the statement that ACK only packets should be included in ACKs is in transport: https://tools.ietf.org/html/draft-ietf-quic-transport-25#section-13.2.1
"Every packet SHOULD be acknowledged at least once, and ack-eliciting
   packets MUST be acknowledged at least once within the maximum ack
   delay."

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3453#issuecomment-585768706

---

From: Nick Banks <[email-masked]>
Date: Thu, 13 Feb 2020 06:49:12 -0800

nibanks approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3453#pullrequestreview-358275831

---

From: Jana Iyengar <[email-masked]>
Date: Thu, 27 Feb 2020 16:49:17 -0800

@janaiyengar pushed 1 commit.

78bae10884d3215cab0726c4841bda11e72c6104  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/3453/files/731f802da4f5fb7a0b8af17a42387bc38d5cf93a..78bae10884d3215cab0726c4841bda11e72c6104

---

From: Jana Iyengar <[email-masked]>
Date: Thu, 27 Feb 2020 16:49:28 -0800

janaiyengar approved this pull request.

> @@ -643,6 +643,12 @@ If an endpoint uses a different controller than that specified in this document,
 the chosen controller MUST conform to the congestion control guidelines
 specified in Section 3.1 of {{!RFC8085}}.
 
+Similar to TCP, Packets only containing ACK frames do not count towards bytes

```suggestion
Similar to TCP, packets containing only ACK frames do not count towards bytes
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3453#pullrequestreview-366098714